services:
  telnowedge_csv_reader_logger:
    class: Symfony\Bridge\Monolog\Logger
    factory: 'Telnowedge\BaseBundle\Logger\Logger::getLoggerFactory'
    arguments:
      $logger: '@logger'
    tags:
      - {name: monolog.logger, channel: telnowedge_csv_reader}

  Telnowedge\CsvReaderBundle\Provider\AbstractProvider:
    abstract: true
    calls:
      - method: setLogger
        arguments:
          $logger: '@telnowedge_csv_reader_logger'

  Telnowedge\CsvReaderBundle\Manager\AbstractManager:
    abstract: true
    calls:
      - method: setLogger
        arguments:
          $logger: '@telnowedge_csv_reader_logger'

  Telnowedge\CsvReaderBundle\Provider\ReaderProvider:
    parent: Telnowedge\CsvReaderBundle\Provider\AbstractProvider

  Telnowedge\CsvReaderBundle\Manager\CsvReaderManager:
    parent: Telnowedge\CsvReaderBundle\Manager\AbstractManager
    arguments:
      $readerProvider: '@Telnowedge\CsvReaderBundle\Provider\ReaderProvider'
